import request from '@/utils/request'

// 执行空间坐标转大地坐标
export function calculate(data) {
    return request({
        url: `/calculate/spatialToGeodetic/calculate`,
        method: 'post',
        data: data
    })
}

// 导入 Excel
export function importExcel(data) {
    return request({
        url: `/calculate/spatialToGeodetic/import`,
        method: 'post',
        data: data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 导出空间坐标转大地坐标
export function exportExcel(data) {
    return request({
        url: `/calculate/spatialToGeodetic/export`,
        method: 'post',
        data: data,
        responseType: 'blob'
    })
}